APIs / Google Finance / Historical
Google Finance: Historical
Historical from Google Finance as JSON. 1 credit per successful call.
GET /v1/google-finance/historical
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
symbol | string | Required | Up to 20 characters |
exchange | string | Optional | Any |
range | integer | Optional | Any |
start_date | string | Optional | Any |
end_date | string | Optional | Any |
interval | string | Optional | daily, weekly, monthly |
hl | string | Optional | Up to 10 characters |
gl | string | Optional | Up to 10 characters |
Example request
curl "https://api.perceptlayer.com/v1/google-finance/historical?symbol=AAPL&exchange=NASDAQ&range=6" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.